import { combineReducers } from "@reduxjs/toolkit";
import productsReducer from "../features/productsSlice.ts";
import userReducer from "../features/usersSlice.ts";
import categoriesReducer from "../features/categoriesSlice.ts";

export const rootReducer = combineReducers({
  products: productsReducer,
  user: userReducer,
  categories: categoriesReducer,
});
